software-center crashed with IOError in show_diff()

Bug #563504 reported by Tim W on 2010-04-15
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
aptdaemon (Ubuntu)
Medium
Michael Vogt
Lucid
Medium
Michael Vogt

Bug Description

Binary package hint: software-center

Lucid Lynx Beta(#?)

Attempting to install fglrx with ATI Mobility Radeon x1400. It was attempting to replace "/etc/ati/signature", but no such file directly existed (I don't believe), but the files "/etc/ati/signature.dpkg-bak" & "-new" were in the folder at the time of the crash.

$ apt-cache policy fglrx
fglrx:
  Installed: 2:8.723.1-0ubuntu1
  Candidate: 2:8.723.1-0ubuntu1
  Version table:
 *** 2:8.723.1-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/restricted Packages
        100 /var/lib/dpkg/status

ProblemType: Crash
DistroRelease: Ubuntu 10.04
Package: software-center 1.1.26
ProcVersionSignature: Ubuntu 2.6.32-21.31-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
NonfreeKernelModules: wl
Architecture: i386
CheckboxSubmission: a8fdcd8d6c12bfa70dbc289c8035d635
CheckboxSystem: d00f84de8a555815fa1c4660280da308
Date: Wed Apr 14 21:47:37 2010
ExecutablePath: /usr/share/software-center/software-center
InterpreterPath: /usr/bin/python2.6
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center']
SourcePackage: software-center
Title: software-center crashed with IOError in show_diff()
UserGroups: adm admin audio cdrom dialout lpadmin netdev plugdev sambashare vboxusers video

Related branches

Tim W (timuwentz) wrote :
tags: removed: need-duplicate-check
visibility: private → public
Michael Vogt (mvo) on 2010-04-16
affects: software-center (Ubuntu) → aptdaemon (Ubuntu)
Changed in aptdaemon (Ubuntu):
assignee: nobody → Michael Vogt (mvo)
importance: Undecided → Medium
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aptdaemon - 0.11+bzr345-0ubuntu4

---------------
aptdaemon (0.11+bzr345-0ubuntu4) lucid; urgency=low

  * debian/patches/04_caution_is_good.patch
      - cherry pick fix from trunk to prevent removal of essenial
        or required packages (LP: #561018)
  * debian/patches/05_conffile_not_exists.patch:
    - Do not fail on not available files (LP: #563504)
 -- Michael Vogt <email address hidden> Fri, 16 Apr 2010 22:09:03 +0200

Changed in aptdaemon (Ubuntu Lucid):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers